remove xfs_vfsops.h

From: Christoph Hellwig <hch@lst.de>

The only thing left is xfs_do_force_shutdown which already has a defintion
in xfs_mount.h.


Signed-off-by: Christoph Hellwig <hch@lst.de>
Reviewed-by: Dave Chinner <david@fromorbit.com>

Index: xfs-2.6/fs/xfs/linux-2.6/xfs_export.c
===================================================================
--- xfs-2.6.orig/fs/xfs/linux-2.6/xfs_export.c	2008-10-30 18:35:46.000000000 +0100
+++ xfs-2.6/fs/xfs/linux-2.6/xfs_export.c	2008-11-21 19:02:22.000000000 +0100
@@ -29,7 +29,6 @@
 #include "xfs_vnodeops.h"
 #include "xfs_bmap_btree.h"
 #include "xfs_inode.h"
-#include "xfs_vfsops.h"
 
 /*
  * Note that we only accept fileids which are long enough rather than allow
Index: xfs-2.6/fs/xfs/linux-2.6/xfs_super.c
===================================================================
--- xfs-2.6.orig/fs/xfs/linux-2.6/xfs_super.c	2008-10-30 18:35:46.000000000 +0100
+++ xfs-2.6/fs/xfs/linux-2.6/xfs_super.c	2008-11-21 19:02:22.000000000 +0100
@@ -48,7 +48,6 @@
 #include "xfs_buf_item.h"
 #include "xfs_utils.h"
 #include "xfs_vnodeops.h"
-#include "xfs_vfsops.h"
 #include "xfs_version.h"
 #include "xfs_log_priv.h"
 #include "xfs_trans_priv.h"
Index: xfs-2.6/fs/xfs/xfs_vfsops.c
===================================================================
--- xfs-2.6.orig/fs/xfs/xfs_vfsops.c	2008-10-23 17:00:11.000000000 +0200
+++ xfs-2.6/fs/xfs/xfs_vfsops.c	2008-11-21 19:02:22.000000000 +0100
@@ -53,7 +53,6 @@
 #include "xfs_filestream.h"
 #include "xfs_fsops.h"
 #include "xfs_vnodeops.h"
-#include "xfs_vfsops.h"
 #include "xfs_utils.h"
 #include "xfs_sync.h"
 
Index: xfs-2.6/fs/xfs/xfs_vfsops.h
===================================================================
--- xfs-2.6.orig/fs/xfs/xfs_vfsops.h	2008-10-17 09:20:02.000000000 +0200
+++ /dev/null	1970-01-01 00:00:00.000000000 +0000
@@ -1,14 +0,0 @@
-#ifndef _XFS_VFSOPS_H
-#define _XFS_VFSOPS_H 1
-
-struct cred;
-struct xfs_fid;
-struct inode;
-struct kstatfs;
-struct xfs_mount;
-struct xfs_mount_args;
-
-void xfs_do_force_shutdown(struct xfs_mount *mp, int flags, char *fname,
-		int lnnum);
-
-#endif /* _XFS_VFSOPS_H */
